Package org.drinkless.tdlib

# Class TdApi.PaidMediaPreview

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaidMedia
org.drinkless.tdlib.TdApi.PaidMediaPreview

Enclosing class:
  `TdApi`

public static class TdApi.PaidMediaPreview extends TdApi.PaidMedia
The media is hidden until the invoice is paid.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaidMedia

  `TdApi.PaidMedia.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Media duration, in seconds; 0 if unknown.
  `int`
  `height`
  Media height; 0 if unknown.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Media minithumbnail; may be null.
  `int`
  `width`
  Media width; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaidMediaPreview()`
  The media is hidden until the invoice is paid.
  `PaidMediaPreview(int width, int height, int duration, TdApi.Minithumbnail minithumbnail)`
  The media is hidden until the invoice is paid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### width

    public int width
    Media width; 0 if unknown.

  - ### height

    public int height
    Media height; 0 if unknown.

  - ### duration

    public int duration
    Media duration, in seconds; 0 if unknown.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Media minithumbnail; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaidMediaPreview

    public PaidMediaPreview()
    The media is hidden until the invoice is paid.

  - ### PaidMediaPreview

    public PaidMediaPreview(int width, int height, int duration, TdApi.Minithumbnail minithumbnail)
    The media is hidden until the invoice is paid.
    Parameters:
      `width` - Media width; 0 if unknown.
      `height` - Media height; 0 if unknown.
      `duration` - Media duration, in seconds; 0 if unknown.
      `minithumbnail` - Media minithumbnail; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaidMedia`
    Returns:
      this.CONSTRUCTOR